<?php

namespace App\Generated\V1\Messages\UserHome;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;
use App\Generated\V1\Enums\RemindNoticeType;

class RemindComplementCardMessage extends Message
{
    use ValueHelper;

    protected $remind_uid;
    protected $type;

    /**
     * @return int
     */
    public function getRemind_uid()
    {
        return $this->remind_uid;
    }

    /**
     * @return mixed
     */
    public function getType()
    {
        return $this->type;
    }

    public function requestRules()
    {
        return [
            ['remind_uid', 'remind_uid', 'bail|integer', Constants::INTEGER, null],
            ['type', 'type', RemindNoticeType::class, Constants::ENUM, null],
        ];
    }

    public function responseRules()
    {
        return [
        ];
    }

    public function setResponse()
    {
    }

}
